## org.codehaus.plexus.collections
Interface ActiveSet

All Superinterfaces:
  ActiveCollection, java.util.Collection, java.lang.Iterable, java.util.Set

All Known Implementing Classes:
  AbstractActiveSet, DefaultActiveSet

    public interface ActiveSet

extends ActiveCollection, java.util.Set

Collection with `Set` semantics, which is backed by a `PlexusContainer` instance, and retrieves a fresh batch of elements for each method call.
NOTE: All active collections are immutable, and will throw an `UnsupportedOperationException` if a mutator method is called.

Author:
  jdcasey

Field Summary
`static java.lang.String` `ROLE`

Method Summary
`boolean` `checkedContains(java.lang.Object value)` Same as `Set.contains(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`boolean` `checkedContainsAll(java.util.Collection collection)` Same as `Set.containsAll(Collection)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`java.util.Iterator` `checkedIterator()` Same as `Set.iterator()`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`java.lang.Object[]` `checkedToArray()` Same as `Set.toArray()`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`java.lang.Object[]` `checkedToArray(java.lang.Object[] array)` Same as `Set.toArray(Object[])`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

Methods inherited from interface org.codehaus.plexus.collections.ActiveCollection
`checkedIsEmpty, checkedSize, getRole, isEmpty, size`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Field Detail

### ROLE

    static final java.lang.String ROLE

Method Detail

### checkedContains

    boolean checkedContains(java.lang.Object value)
                            throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Same as `Set.contains(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedContainsAll

    boolean checkedContainsAll(java.util.Collection collection)
                               throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Same as `Set.containsAll(Collection)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedIterator

    java.util.Iterator checkedIterator()
                                       throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Same as `Set.iterator()`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedToArray

    java.lang.Object[] checkedToArray()
                                      throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Same as `Set.toArray()`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedToArray

    java.lang.Object[] checkedToArray(java.lang.Object[] array)
                                      throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Same as `Set.toArray(Object[])`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

Copyright © 2011. All Rights Reserved.